export interface IDataSubject {
  deptName?: string //  非必须 管理部门
  englishName?: string //   非必须  英文名称
  id?: number //   非必须  主键id
  management?: string //   非必须  管理人员
  pId?: number //   非必须  父id-主题 id
  standardAlias?: string //   非必须  别名
  standardCode?: string //   非必须  标准编码
  standardName?: string //   非必须  标准名称
  standardTheme?: string //   非必须  标准主题
}

export interface IRule {
  id: number
  inspectionType: string // 类型 (完整性:integrity| 一致性:uniformity|normative:规范性|accuracy：准确性)
  ruleCode: string // 规则编号
  ruleConfig: string // JSON字符串” {range:{from:,to:},length:,date_format:}
  ruleDesc: string // 规则描述
  ruleName: string // 规则名称
  ruleType: string // not_null: 非空 range: 值域 length：长度 date_format：日期格式
  subjectId: number // 主题id
}

export interface IDataRule {
  id?: string
  // 非必须 规则编号
  ruleCode?: string
  // 非必须 规则名称
  ruleName?: string
  // 非必须 规则描述
  ruleDesc?: string
  // 非必须 主题id
  subjectId?: number
  // 必须 类型(完整性:integrity| 一致性:uniformity|normative:规范性|accuracy：准确性)
  inspectionType?: 'integrity' | 'uniformity' | 'normative' | 'accuracy'
  // 必须 not_null: 非空 range: 值域 length：长度 date_format：日期格式
  ruleType?: string
  // 必须 JSON字符串” {range:{from:,to:},length:,date_format:}
  ruleConfig?: {
    range?: {
      from?: string | number
      to?: string | number
    }
    length?: string | number
    date_format?: string
  }
}
