/*
 * <<
 * Davinci
 * ==
 * Copyright (C) 2016 - 2017 EDP
 * ==
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * >>
 */

import { createTypes } from 'utils/redux'

enum Types {
  LOAD_PROJECTS = 'davinci/Project/LOAD_PROJECTS',
  LOAD_PROJECTS_SUCCESS = 'davinci/Project/LOAD_PROJECTS_SUCCESS',
  LOAD_PROJECTS_FAILURE = 'davinci/Project/LOAD_PROJECTS_FAILURE',

  ADD_PROJECT = 'davinci/Project/ADD_PROJECT',
  ADD_PROJECT_SUCCESS = 'davinci/Project/ADD_PROJECT_SUCCESS',
  ADD_PROJECT_FAILURE = 'davinci/Project/ADD_PROJECT_FAILURE',

  EDIT_PROJECT = 'davinci/Project/EDIT_PROJECT',
  EDIT_PROJECT_SUCCESS = 'davinci/Project/EDIT_PROJECT_SUCCESS',
  EDIT_PROJECT_FAILURE = 'davinci/Project/EDIT_PROJECT_FAILURE',

  TRANSFER_PROJECT = 'davinci/Project/TRANSFER_PROJECT',
  TRANSFER_PROJECT_SUCCESS = 'davinci/Project/TRANSFER_PROJECT_SUCCESS',
  TRANSFER_PROJECT_FAILURE = 'davinci/Project/TRANSFER_PROJECT_FAILURE',

  DELETE_PROJECT = 'davinci/Project/DELETE_PROJECT',
  DELETE_PROJECT_SUCCESS = 'davinci/Project/DELETE_PROJECT_SUCCESS',
  DELETE_PROJECT_FAILURE = 'davinci/Project/DELETE_PROJECT_FAILURE',

  LOAD_PROJECT_DETAIL = 'davinci/Project/LOAD_PROJECT_DETAIL',
  LOAD_PROJECT_DETAIL_SUCCESS = 'davinci/Project/LOAD_PROJECT_DETAIL_SUCCESS',
  LOAD_PROJECT_DETAIL_FAILURE = 'davinci/Project/LOAD_PROJECT_DETAIL_FAILURE',

  CLEAR_CURRENT_PROJECT = 'davinci/Project/CLEAR_CURRENT_PROJECT',
  SEARCH_PROJECT = 'davinci/Project/SEARCH_PROJECT',
  SEARCH_PROJECT_SUCCESS = 'davinci/Project/SEARCH_PROJECT_SUCCESS',
  SEARCH_PROJECT_FAILURE = 'davinci/Project/SEARCH_PROJECT_FAILURE',

  GET_PROJECT_STAR_USER = 'davinci/Project/GET_PROJECT_STAR_USER',
  GET_PROJECT_STAR_USER_SUCCESS = 'davinci/Project/GET_PROJECT_STAR_USER_SUCCESS',
  GET_PROJECT_STAR_USER_FAILURE = 'davinci/Project/GET_PROJECT_STAR_USER_FAILURE',

  PROJECT_UNSTAR = 'davinci/Project/PROJECT_UNSTAR',
  PROJECT_UNSTAR_SUCCESS = 'davinci/Project/PROJECT_UNSTAR_SUCCESS',
  PROJECT_UNSTAR_FAILURE = 'davinci/Project/PROJECT_UNSTAR_FAILURE',

  LOAD_COLLECT_PROJECTS = 'davinci/Project/LOAD_COLLECT_PROJECTS',
  LOAD_COLLECT_PROJECTS_SUCCESS = 'davinci/Project/LOAD_COLLECT_PROJECTS_SUCCESS',
  LOAD_COLLECT_PROJECTS_FAILURE = 'davinci/Project/LOAD_COLLECT_PROJECTS_FAILURE',

  CLICK_COLLECT_PROJECT = 'davinci/Project/CLICK_COLLECT_PROJECT',
  CLICK_COLLECT_PROJECT_SUCCESS = 'davinci/Project/CLICK_COLLECT_PROJECT_SUCCESS',
  CLICK_COLLECT_PROJECT_FAILURE = 'davinci/Project/CLICK_COLLECT_PROJECT_FAILURE',

  ADD_PROJECT_ADMIN = 'davinci/Project/ADD_PROJECT_ADMIN',
  ADD_PROJECT_ADMIN_SUCCESS = 'davinci/Project/ADD_PROJECT_ADMIN_SUCCESS',
  ADD_PROJECT_ADMIN_FAIL = 'davinci/Project/ADD_PROJECT_ADMIN_FAIL',

  DELETE_PROJECT_ADMIN = 'davinci/Project/DELETE_PROJECT_ADMIN',
  DELETE_PROJECT_ADMIN_SUCCESS = 'davinci/Project/DELETE_PROJECT_ADMIN_SUCCESS',
  DELETE_PROJECT_ADMIN_FAIL = 'davinci/Project/DELETE_PROJECT_ADMIN_FAIL',

  ADD_PROJECT_ROLE = 'davinci/Project/ADD_PROJECT_ROLE',
  ADD_PROJECT_ROLE_SUCCESS = 'davinci/Project/ADD_PROJECT_ROLE_SUCCESS',
  ADD_PROJECT_ROLE_FAIL = 'davinci/Project/ADD_PROJECT_ROLE_FAIL',

  DELETE_PROJECT_ROLE = 'davinci/Project/DELETE_PROJECT_ROLE',
  DELETE_PROJECT_ROLE_SUCCESS = 'davinci/Project/DELETE_PROJECT_ROLE_SUCCESS',
  DELETE_PROJECT_ROLE_FAIL = 'davinci/Project/DELETE_PROJECT_ROLE_FAIL',

  UPDATE_RELATION_ROLE_PROJECT = 'davinci/Project/UPDATE_RELATION_ROLE_PROJECT',
  UPDATE_RELATION_ROLE_PROJECT_SUCCESS = 'davinci/Project/UPDATE_RELATION_ROLE_PROJECT_SUCCESS',
  UPDATE_RELATION_ROLE_PROJECT_FAIL = 'davinci/Project/UPDATE_RELATION_ROLE_PROJECT_FAIL',

  LOAD_RELATION_ROLE_PROJECT = 'davinci/Project/LOAD_RELATION_ROLE_PROJECT',
  RELATION_ROLE_PROJECT_LOADED = 'davinci/Project/RELATION_ROLE_PROJECT_LOADED',
  LOAD_RELATION_ROLE_PROJECT_FAIL = 'davinci/Project/LOAD_RELATION_ROLE_PROJECT_FAIL',

  DELETE_RELATION_ROLE_PROJECT = 'davinci/Project/DELETE_RELATION_ROLE_PROJECT',
  DELETE_RELATION_ROLE_PROJECT_SUCCESS = 'davinci/Project/DELETE_RELATION_ROLE_PROJECT_SUCCESS',
  DELETE_RELATION_ROLE_PROJECT_FAIL = 'davinci/Project/DELETE_RELATION_ROLE_PROJECT_FAIL',

  EXCLUDE_ROLES = 'davinci/Project/EXCLUDE_ROLES',
  EXCLUDE_ROLES_SUCCESS = 'davinci/Project/EXCLUDE_ROLES_SUCCESS',
  EXCLUDE_ROLES_FAIL = 'davinci/Project/EXCLUDE_ROLES_FAIL'
}

export const ActionTypes = createTypes(Types)
